curl --request GET \
--url https://sandbox.api.fin.com/v1/beneficiaries/{beneficiary_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"pagination": {
"current_page": 1,
"per_page": 5,
"total_page": 1,
"total": 1
},
"transactions": [
{
"id": "9ac6872b-8904-4ea5-beb7-d5a936ffee10",
"transaction_type": "ONRAMP",
"beneficiary_id": "d6ae4ea6-0482-47ab-a895-02e50ea6358b",
"hash": "0x58083dc1851a288496263cc1a4688a5abead5fd4f66b80516afaa27e5b3879d2",
"transaction_ref_id": "cd25866b-265a-4e39-9",
"from_amount": 3,
"payout_amount": 1.748682,
"processing_amount": 2.335,
"status": "PENDING",
"fx_rate": 0.7489,
"developer_fee": 0.665,
"developer_fee_percentage": 0.5,
"developer_fee_fixed": 0.65,
"from_currency": "USDC",
"payout_currency": "GBP",
"created_at": "2025-10-26T09:38:45.641823Z",
"updated_at": "2025-10-26T09:39:04.013728Z"
}
]
}
}Retrieve paginated transaction history for a specific beneficiary
curl --request GET \
--url https://sandbox.api.fin.com/v1/beneficiaries/{beneficiary_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"pagination": {
"current_page": 1,
"per_page": 5,
"total_page": 1,
"total": 1
},
"transactions": [
{
"id": "9ac6872b-8904-4ea5-beb7-d5a936ffee10",
"transaction_type": "ONRAMP",
"beneficiary_id": "d6ae4ea6-0482-47ab-a895-02e50ea6358b",
"hash": "0x58083dc1851a288496263cc1a4688a5abead5fd4f66b80516afaa27e5b3879d2",
"transaction_ref_id": "cd25866b-265a-4e39-9",
"from_amount": 3,
"payout_amount": 1.748682,
"processing_amount": 2.335,
"status": "PENDING",
"fx_rate": 0.7489,
"developer_fee": 0.665,
"developer_fee_percentage": 0.5,
"developer_fee_fixed": 0.65,
"from_currency": "USDC",
"payout_currency": "GBP",
"created_at": "2025-10-26T09:38:45.641823Z",
"updated_at": "2025-10-26T09:39:04.013728Z"
}
]
}
}Bearer token authentication. Obtain token from /v1/oauth/token endpoint
Unique identifier for the beneficiary
Number of transactions per page (default 10)
Page number to retrieve (starts from 1)
Filter by transaction type
ONRAMP, OFFRAMP Transaction list retrieved successfully
Show child attributes